# Sortables.js

Contains Sortables Class.

#### Dependencies

Moo.js, Function.js, Array.js, String.js, Element.js, Fx.js, Drag.js

#### Author

Valerio Proietti, http://mad4milk.net

#### License

MIT-style license.

Summary

Sortables.js | Contains Sortables Class.
Sortables | Creates an interface for <Drag> and drop, resorting of a list.

## Sortables

Creates an interface for <Drag> and drop, resorting of a list.

#### Arguments

elements | requires, the collection of elements that will become sortables.
options | an Object, see options below.

#### Options

handles | a collection of elements to be used for drag handles. defaults to the elements.
fxDuration | the duration in ms of the effects applied to the dragged element and its clone. defaults to 250 ms.
fxTransition | the transition for the effects (see also: Fx.Transitions).
maxOpacity | the opacity for the dragged clone
onStart | function executed when the item starts dragging
onComplete | function executed when the item ends dragging
contain | boolean, true keeps the dragged item constrained to it’s parent element, defaults to false.

Creates an interface for <Drag> and drop, resorting of a list.
My Object Oriented javascript.
Contains Function prototypes, utility functions and Chain.

> function $A( | array | )

Copy the array and returns it.
Same as Array.copy, but as function.
Contains Array prototypes and the function $A;
Contains String prototypes and Number prototypes.

> function $( | el | )

returns the element passed in with all the Element prototypes applied.
Contains useful Element prototypes, to be used with the dollar function $.
Applies visual transitions to any element.
Contains Classes Drag.Base, Drag.Move and a couple of element methods to drag and resize your elements.
A collection of transition equations for use with the <Fx> Class.